Incus - Command line client(1)

NAME
incus-copy - Copy instances within or in between servers

SYNOPSIS
incus copy [:][/] [:][] [flags]

DESCRIPTION
Description:
  Copy instances within or in between servers

Transfer modes (--mode):
   - pull: Target server pulls the data from the source server (source must listen on network)
   - push: Source server pushes the data to the target server (target must listen on network)
   - relay: The CLI connects to both source and server and proxies the data (both source and target must listen on network)

The pull transfer mode is the default as it is compatible with all server versions.

OPTIONS
--allow-inconsistent[=false]
    ``Ignore copy errors for volatile files

-c, --config=[]
    ``Config key/value to apply to the new instance

-d, --device=[]
    ``New key/value to apply to a specific device

-e, --ephemeral[=false]
    ``Ephemeral instance

--instance-only[=false]
    ``Copy the instance without its snapshots

--mode="pull"
    ``Transfer mode. One of pull, push or relay

--no-profiles[=false]
    ``Create the instance with no profiles applied

-p, --profile=[]
    ``Profile to apply to the new instance

--refresh[=false]
    ``Perform an incremental copy

--refresh-exclude-older[=false]
    ``During incremental copy, exclude source snapshots earlier than latest target snapshot

--stateless[=false]
    ``Copy a stateful instance stateless

-s, --storage=""
    ``Storage pool name

--target=""
    ``Cluster member name

--target-project=""
    ``Copy to a project different from the source

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--explain[=false]
    If the command is valid, explain its parsed arguments instead of running it

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

SEE ALSO
incus(1)

HISTORY
10-Jul-2026 Auto generated by spf13/cobra